from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, Int, String, File

Load_Into_Counting_Py_V0_1_0 = CommandToolBuilder(tool="load_into_counting.py", base_command=["load-into-counting.py"], inputs=[ToolInput(tag="in_info", input_type=Boolean(optional=True), prefix="--info", doc=InputDocumentation(doc="print citation information")), ToolInput(tag="in_k_size", input_type=Int(optional=True), prefix="--ksize", doc=InputDocumentation(doc="k-mer size to use (default: 32)")), ToolInput(tag="in_unique_km_ers", input_type=Int(optional=True), prefix="--unique-kmers", doc=InputDocumentation(doc="approximate number of unique kmers in the input set\n(default: 0)")), ToolInput(tag="in_fp_rate", input_type=String(optional=True), prefix="--fp-rate", doc=InputDocumentation(doc="Override the automatic FP rate setting for the current\nscript (default: None)")), ToolInput(tag="in_max_memory_usage", input_type=Int(optional=True), prefix="--max-memory-usage", doc=InputDocumentation(doc="maximum amount of memory to use for data structure\n(default: None)")), ToolInput(tag="in_small_count", input_type=Boolean(optional=True), prefix="--small-count", doc=InputDocumentation(doc="Reduce memory usage by using a smaller counter for\nindividual kmers. (default: False)")), ToolInput(tag="in_threads", input_type=Int(optional=True), prefix="--threads", doc=InputDocumentation(doc="Number of simultaneous threads to execute (default: 1)")), ToolInput(tag="in_no_big_count", input_type=Boolean(optional=True), prefix="--no-bigcount", doc=InputDocumentation(doc="The default behaviour is to count past 255 using\nbigcount. This flag turns bigcount off, limiting\ncounts to 255. (default: True)")), ToolInput(tag="in_summary_info", input_type=String(optional=True), prefix="--summary-info", doc=InputDocumentation(doc="What format should the machine readable run summary be\nin? (`json` or `tsv`, disabled by default) (default:\nNone)")), ToolInput(tag="in_force", input_type=File(optional=True), prefix="--force", doc=InputDocumentation(doc="Overwrite output file if it exists (default: False)")), ToolInput(tag="in_output_count_graph_filename", input_type=String(), position=0, doc=InputDocumentation(doc="The name of the file to write the k-mer countgraph to.")), ToolInput(tag="in_input_sequence_filename", input_type=String(), position=1, doc=InputDocumentation(doc="The names of one or more FAST[AQ] input sequence")), ToolInput(tag="in_files_dot", input_type=String(), position=2, doc=InputDocumentation(doc="optional arguments:"))], outputs=[ToolOutput(tag="out_force", output_type=File(optional=True), selector=InputSelector(input_to_select="in_force", type_hint=File()), doc=OutputDocumentation(doc="Overwrite output file if it exists (default: False)"))], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Load_Into_Counting_Py_V0_1_0().translate("wdl", allow_empty_container=True)

